<%
'
'NAME:			frmParamDates.asp
'AUTHOR:		Terry L Hansen
'DATE:			27 Feb 2001
'DESCRIPTION:	This file can be included to any page that uses a date
'				range.  It has functionality to put predefined date
'				ranges in on a click of the mouse, or you can type in
'				any date range you want.  Make sure that you use the
'				same naming conventions, i.e., your dates should be
'				named vStart and vFinish and your text boxes should be
'				named START and FINISH respectively.
'
%>

<SCRIPT LANG="JSCRIPT">
	function setDates(dStart,dFinish) {
		window.frmParam.START.value = dStart;
		window.frmParam.FINISH.value = dFinish;
	}
</SCRIPT>

<%
function strDate(vBaseDate, vAddDays, vAppendTime)
	if vAddDays <> 0 then
		vNewDate = DateAdd("d",vAddDays, vBaseDate)
    else
        vNewDate = vBaseDate
    end if
	vNewDate = Month(vNewDate) & "/" & Day(vNewDate) & "/" & Year(vNewDate) & " " & vAppendTime
	strDate = vNewDate

end function
    
vNow = Fix(now)

if Request.Form("Start") = "" then
	vStart = Fix(DateAdd("d", -1, now))
	vStart = Month(vStart) & "/" & Day(vStart) & "/" & Year(vStart) & " 7:00:00"
else
	if IsDate(Request.Form("Start")) then
		vStart = Month(Request.Form("Start")) & "/" & Day(Request.Form("Start")) & "/" & Year(Request.Form("Start")) & " " & hour(Request.Form("Start")) & ":" & right("00" & minute(Request.Form("Start")),2) & ":" & right("00" & second(Request.Form("Start")),2)
	end if
end if
    
if Request.Form("Finish") = "" then 
	vFinish = Fix(now)
	vFinish = Month(vFinish) & "/" & Day(vFinish) & "/" & Year(vFinish) & " 6:59:59"
else
	if isDate(Request.Form("Finish")) then
		vFinish = Month(Request.Form("Finish")) & "/" & Day(Request.Form("Finish")) & "/" & Year(Request.Form("Finish")) & " " & hour(Request.Form("Finish")) & ":" & right("00" & minute(Request.Form("Finish")),2) & ":" & right("00" & second(Request.Form("Finish")),2)
	end if
end if
%>
<TABLE BORDER=1 BORDERCOLOR=#000000 BGCOLOR=#EEEEEE ALIGN=left CELLPADDING=2 CELLSPACING=0 RULES=COLS>
	<TR>
		<TD ALIGN=left VALIGN=top COLSPAN=2>
			<FONT CLASS=frmparamtd>Date Ranges</FONT>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			&nbsp;&nbsp;&nbsp;
			<%URLStr = session("helpURL")
			Response.Write "<FONT CLASS=frmhelptext><A HREF='javascript:openMyWindow(" & chr(34) & URLStr & chr(34) & "," & chr(34) & "TOOLBAR=YES,SCROLLBARS=YES,HEIGHT=300,WIDTH=500" & chr(34) & ")'>Help?</A></FONT>"%>
		</TD>		
	</TR>
	<TR>
		<TD CLASS=frmparamtext1 ALIGN=left VALIGN=top COLSPAN=2>
			Please use m/d/yyyy h:mm:ss
		</TD>
	</TR>
	<TR>
		<TD CLASS=frmparamdateranges ALIGN=left VALIGN=top NOWRAP>
			<NOBR><A HREF="javascript:setDates('<%=strDate(vNow,-1,"7:00:00")%>','<%=strDate(vNow,0,"6:59:59")%>')">Yesterday</A>&nbsp;&#149;&nbsp</NOBR>
			<NOBR><A HREF="javascript:setDates('<%=strDate(vNow,-1*(WeekDay(vNow)-1)-7,"7:00:00")%>','<%=strDate(vNow,-1*(WeekDay(vNow)-1),"6:59:59")%>')">Last Week</A>&nbsp;&#149;&nbsp</NOBR>
			<NOBR><A HREF="javascript:setDates('<%=strDate(Month(DateAdd("m",-1, vNow)) & "/1/" & Year(DateAdd("m",-1,vNow)),0,"7:00:00")%>','<%=strDate(Month(vNow) & "/1/" & Year(vNow),0,"6:59:59")%>')">Last Month</A>&nbsp;&#149;&nbsp</NOBR>
			<NOBR><A HREF="javascript:setDates('<%=strDate(vNow,0,"7:00:00")%>','<%=strDate(vNow,1,"6:59:59")%>')">Today</A>&nbsp;&#149;&nbsp</NOBR>
			<NOBR><A HREF="javascript:setDates('<%=strDate(vNow,-1*(WeekDay(vNow)-1),"7:00:00")%>','<%=strDate(vNow,1,"6:59:59")%>')">WTD</A>&nbsp;&#149;&nbsp</NOBR>
			<NOBR><A HREF="javascript:setDates('<%=strDate(vNow,-1*(Day(vNow)-1),"7:00:00")%>','<%=strDate(vNow,1,"6:59:59")%>')">MTD</A></NOBR>
	    </TD>
	</TR>
	<TR>
		<TD ALIGN=left VALIGN=top>
			<FONT CLASS=frmparamtd>Start:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</FONT>
			<INPUT CLASS=boxstyle TYPE=text NAME=START ID=START VALUE="<%=vStart%>" MAXLENGTH=19 SIZE=20>
			<BR>
			<FONT CLASS=frmparamtd>Finish:&nbsp;&nbsp;&nbsp;</FONT>
			<INPUT CLASS=boxstyle TYPE=text NAME=FINISH ID=FINISH VALUE="<%=vFinish%>" MAXLENGTH=19 SIZE=20>
			<INPUT CLASS=buttonstyle TYPE=submit NAME=Submit ID=Submit VALUE="Submit">    
		</TD>
	</TR> 
</TABLE> 

